Qwt User's Guide: QwtIntervalData Class Reference

# QwtIntervalData Class Reference

Series of samples of a value and an interval. More...

`#include <qwt_interval_data.h>`

List of all members.

## Public Member Functions
| QwtIntervalData ()
| QwtIntervalData (const QwtArray< QwtDoubleInterval > &, const QwtArray< double > &)
| ~QwtIntervalData ()
void | setData (const QwtArray< QwtDoubleInterval > &, const QwtArray< double > &)
size_t | size () const
const QwtDoubleInterval & | interval (size_t i) const
double | value (size_t i) const
QwtDoubleRect | boundingRect () const

## Detailed Description

Series of samples of a value and an interval.

QwtIntervalData is a series of samples of a value and an interval. F.e. error bars are built from samples [x, y1-y2], while a histogram might consist of [x1-x2, y] samples.

## Constructor & Destructor Documentation

QwtIntervalData::QwtIntervalData | ( |  | ) |

Constructor.

QwtIntervalData::QwtIntervalData | ( | const QwtArray< QwtDoubleInterval > & | intervals,
|  | const QwtArray< double > & | values |
| ) |  |  |

Constructor.

QwtIntervalData::~QwtIntervalData | ( |  | ) |

Destructor.

## Member Function Documentation

QwtDoubleRect QwtIntervalData::boundingRect | ( |  | ) | const

Calculate the bounding rectangle of the samples

The x coordinates of the rectangle are built from the intervals, the y coordinates from the values.

Returns:
  Bounding rectangle

const QwtDoubleInterval & QwtIntervalData::interval | ( | size_t | i | ) | const`[inline]`

Interval of a sample

Parameters:

  | i | Sample index

Returns:
  Interval

See also:
  value(), size()

void QwtIntervalData::setData | ( | const QwtArray< QwtDoubleInterval > & | intervals,
|  | const QwtArray< double > & | values |
| ) |  |  |

Assign samples.

size_t QwtIntervalData::size | ( |  | ) | const`[inline]`

Returns:
  Number of samples

double QwtIntervalData::value | ( | size_t | i | ) | const`[inline]`

Value of a sample

Parameters:

  | i | Sample index

Returns:
  Value

See also:
  interval(), size()